> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new customer



## OpenAPI

````yaml openapi/openapi.json post /api/customers
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/customers:
    post:
      tags:
        - Customers
      summary: Create a new customer
      operationId: 747630c757eae4c38404384330e68c57
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - company_id
                - CID
                - name
              properties:
                company_id:
                  type: integer
                  example: 1
                CID:
                  type: string
                name:
                  type: string
                email:
                  type: string
                number_range_id:
                  type: integer
                  example: 1
                marketing_opt_in_at:
                  description: >-
                    Datetime when the customer opted in to marketing. Null if
                    not opted in.
                  type: string
                  format: date-time
                  nullable: true
                send_self_service_email:
                  description: >-
                    Send the customer a notification with the self-service page
                    URL
                  type: boolean
                  example: true
                  nullable: true
              type: object
      responses:
        '201':
          description: Customer created successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  data:
                    properties:
                      id:
                        type: integer
                      company_id:
                        type: integer
                      CID:
                        type: string
                      name:
                        type: string
                      email:
                        type: string
                      number_range_id:
                        type: integer
                      marketing_opt_in_at:
                        type: string
                    type: object
                type: object
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````